Skip to content

Validation

  • Endpoint: POST /billPaymentValidationUrl
  • Tags: Collection Service/BillPayment

Description

This interface is only applicable to Bill Payment payment methods in the Philippines.

PayerMax calls this interface to request the merchant to obtain the feasibility of this payment operation (whether the payment can be made).

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
referenceNostringYesmaxLength: 64The merchant's unique order ID of a transaction.
amountnumberYesPayment amount.
currencystringYesmaxLength: 3Payment currency.

Example

json
{
  "referenceNo": "TEST100001",
  "amount": 40.85,
  "currency": "PHP"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘SUCCESS’ means success
msgstringYesReturn message, ‘Success’
dataobjectNoThe following is the content in data.
data.referenceNostringYesmaxLength: 64The merchant's order ID of a transaction and is generated by PMMAX's merchant.
data.minAmountnumberYesMinimum payment amount.
data.maxAmountnumberYesMaximum payment amount.
data.currencystringYesmaxLength: 3Payment currency.
data.confirmationstringYesmaxLength: 16Check result. Value: "Y" or "N"
data.failureReasonstringNomaxLength: 255Reason for verification failure.

Response Example: 1

SUCCESS

json
{
  "code": "SUCCESS",
  "msg": "Success.",
  "data": {
    "referenceNo": "TEST100001",
    "confirmation": "Y",
    "minAmount": 20,
    "maxAmount": 300,
    "currency": "PHP",
    "failureReason": ""
  }
}

Response Example: 2

异常示例

json
{
  "code": "SUCCESS",
  "msg": "Success.",
  "data": {
    "referenceNo": "TEST100001",
    "confirmation": "N",
    "minAmount": 20,
    "maxAmount": 300,
    "currency": "PHP",
    "failureReason": "Reason for verification failure."
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.